Package ru.bitel.bgbilling.modules.voice.server.bean.code

# Class VoiceCostMapItemDao

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<VoiceCostMapItem>
ru.bitel.bgbilling.modules.voice.server.bean.code.VoiceCostMapItemDao

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class VoiceCostMapItemDao
    extends ru.bitel.common.dao.AbstractIdDao<VoiceCostMapItem>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VoiceCostMapItemDao​(java.sql.Connection con, int moduleId)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.Map<java.lang.Integer,​java.util.List<VoiceCostMapItem>>` | `codeMap​(int codeId, int costMapId)` |
  `void` | `deleteByMapId​(int id)` |
  `protected VoiceCostMapItem` | `getFromRS​(java.sql.ResultSet rs)` |
  `protected VoiceCostMapItem` | `getImpl​(int id)` |
  `java.util.List<VoiceCostMapItem>` | `list​(int codeId, int costMapId)` | Получение списка всех элементов определенной карты цен на все даты
  `java.util.List<VoiceCostMapItem>` | `list​(int costMapId, java.util.Date date)` | Получение списка элементов определенной карты цен на определенную дату с подгрузкой названий геокодов и направлений.
  `void` | `update​(VoiceCostMapItem item)` |
  `void` | `updateHistory​(java.util.List<VoiceCostMapItem> itemHistory)` | Запись истории изменений карты цен.
  `protected void` | `updateImpl​(VoiceCostMapItem item)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, get, getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoiceCostMapItemDao

    public VoiceCostMapItemDao​(java.sql.Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected VoiceCostMapItem getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<VoiceCostMapItem>`
    Throws:
      `java.sql.SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### getImpl

    protected VoiceCostMapItem getImpl​(int id) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Overrides:
      `getImpl` in class `ru.bitel.common.dao.AbstractDao<VoiceCostMapItem>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### update

    public void update​(VoiceCostMapItem item) throws ru.bitel.bgbilling.common.BGException
    Overrides:
      `update` in class `ru.bitel.common.dao.AbstractDao<VoiceCostMapItem>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl​(VoiceCostMapItem item) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<VoiceCostMapItem>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### list

    public java.util.List<VoiceCostMapItem> list​(int costMapId, java.util.Date date) throws ru.bitel.bgbilling.common.BGException
    Получение списка элементов определенной карты цен на определенную дату с подгрузкой названий геокодов и направлений.
    Parameters:
      `costMapId` - код карты цен, элементы которой необходимо получить
      `date` - дата, на которую нужно получить список элементов карты цен.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### list

    public java.util.List<VoiceCostMapItem> list​(int codeId, int costMapId) throws ru.bitel.bgbilling.common.BGException
    Получение списка всех элементов определенной карты цен на все даты
    Parameters:
      `costMapId` - код карты цен, элементы которой необходимо получить
      `date` - дата, на которую нужно получить список элементов карты цен.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteByMapId

    public void deleteByMapId​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### codeMap

    public java.util.Map<java.lang.Integer,​java.util.List<VoiceCostMapItem>> codeMap​(int codeId, int costMapId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateHistory

    public void updateHistory​(java.util.List<VoiceCostMapItem> itemHistory) throws ru.bitel.bgbilling.common.BGException
    Запись истории изменений карты цен. Заключается в полном удалении имеющихся записей и записью тех, что пришли в запросе от клиента.
    Parameters:
      `itemHistory` - список изменений цен для кода, в котором могло поменяться направление и даты
    Throws:
      `ru.bitel.bgbilling.common.BGException`